# Strecke
Date: 2013-01-07

## Class Strecke

- java.lang.Object
- - Strecke

    public class Strecke
    extends java.lang.Object

Speichert die notwendigen Informationen (Start- und Endpunkt) zu einer Strecke.

Version:
  1.0 vom 10.04.2011
Author:
  T. Schaller

### Constructor Summary

Constructors
Constructor and Description
`Strecke(Punkt point1, Punkt point2)` Erzeugt eine neue Strecken

### Method Summary

Methods
`void` `draw(java.awt.Graphics g, Punkt viewpoint)`
`Punkt` `getPunkt(int i)` Liefert Start- oder Endpunkt der Strecke

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Strecke

    public Strecke(Punkt point1,
           Punkt point2)

Erzeugt eine neue Strecken

Parameters:
  `p0` - Startpunkt
  `p1` - Endpunkt

### Method Detail

#### getPunkt

    public Punkt getPunkt(int i)

Liefert Start- oder Endpunkt der Strecke

Parameters:
  `i` - (1=Startpunkt, 2 = Endpunkt)
Returns:
  Referenz auf den Punkt

#### draw

    public void draw(java.awt.Graphics g,
            Punkt viewpoint)